/* practice data for the RSA DES Challenge */
/*
The contents of this file contain text and code describing and 
implementing the 'DES' encryption algorithm. Despite the fact 
that this information is freely available overseas, it remains 
a violation of ITAR and/or EAR to export this information 
from inside the US or Canada to outside the US or Canada, or 
to pass it to a non-US or non-Canadian citizen within the US 
or Canada. The US Government evidently defines 'Export' to 
include placing this information on a non-restricted FTP server 
or Web site. Please do not do so, and be sure that any person you
pass this on to is made aware of this restriction.
									Peter Trei
									ptrei@acm.org

 * THIS SOFTWARE IS PROVIDED BY PETER TREI ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.

This software is copyright (c) 1997 Peter Trei (ptrei@acm.org), except for
those portions written by Phil Karn, which retain their
original ownership.

This software may be redistributed freely for use in the RSA DES Challenge,
but please obey the restrictions imposed by the US Government, and make
sure that anyone you pass it to is also aware of them.

This software may not be used for commercial purposes without the written
permission of Peter Trei and the other owners.

Please redistribute only as a complete, unmodified package, including 
source code, and ptrei@acm.org's PGP signature file and key.

 */

#ifndef _DATA_H
#define _DATA_H 1
unsigned char x_contest_id[] = "DES";
unsigned char x_cipher_name[] = "DES";
unsigned char x_con_state[] = "ongoing";
unsigned char x_asciitext[] = "The unknown message is:";
unsigned char x_key[8];
unsigned char x_iv[8] =
	{0x99 ,0xe9 ,0x7c ,0xbf ,0x4f ,0x7a ,0x6e ,0x8f};
unsigned char x_knowntext[256];
unsigned char x_ciphertext[256] =
{0x79 ,0x45 ,0x81 ,0xc0 ,0xa0 ,0x6e ,0x40 ,0xa2 ,0x0b ,0xe3 ,0x33 ,0xc6 ,0x5c ,0x93 ,0xb7 ,0x22,
 0xaa ,0xc2 ,0x61 ,0x27 ,0xff ,0x72 ,0xac ,0xc6 ,0x03 ,0x68 ,0x60 ,0x2b ,0x43 ,0x99 ,0x3c ,0x31,
 0x9f ,0x36 ,0xe6 ,0xae ,0x82 ,0x0c ,0x5d ,0x3f ,0xa2 ,0x3b ,0xb4 ,0x91 ,0xe5 ,0xef ,0xee ,0xa3,
 0xb9 ,0x92 ,0x78 ,0xd4 ,0xaf ,0x0f ,0x66 ,0xaa ,0xf5 ,0x17 ,0xe8 ,0x64 ,0x08 ,0x88 ,0x82 ,0x8d,
 0x67 ,0xba ,0xfe ,0xbf ,0x78 ,0x95 ,0x60 ,0x95 ,0x31 ,0x6a ,0xe2 ,0x98 ,0x78 ,0x1c ,0x6a ,0xf7};

int x_knowntext_len = 0;
int x_ciphertext_len = 80;

#endif /* DATA_H */